@font-face {
    font-family: "Gilroy";
    src: url("../fonts/Gilroy-Regular.ttf");
}

*{
    margin:0;
    padding:0;
    box-sizing:border-box;
}

body{
    background:#ECECEC;
    color:#2F2F2F;
    font-family:"Gilroy", sans-serif;
    font-size: 24px;
    min-height: 100vh;
    display: flex;
    flex-direction: column;
}

a{
    color:inherit;
    text-decoration:none;
}

.wrapper{
    width:min(1100px,90%);
    margin:auto;
}

header{
    padding:40px 0 20px;
    border-bottom:2px solid #BFBFBF;
}

.header-top{
    display:flex;
    justify-content:space-between;
    align-items:center;
}

h1{
    font-family:"Bruno Ace SC", cursive;
    font-size:48px;
    font-weight:400;
}

.socials{
    display:flex;
    gap:12px;
}

.socials img{
    width:28px;
}

.hero{
    margin-top:160px;
    background:#E6E6E6;
    display:flex;
    justify-content:center;
    align-items:center;
    gap:80px;
}

.info-card{
    background:#E6E6E6;
    padding:24px;
    width:420px;

    display:flex;
    flex-direction:column;
    gap:8px;
}

.avatar{
    margin-top: -151px;
    width:280px;
}

.section-title{
    text-align:center;
    margin:50px 0;
    font-weight:400;
}

.accordion{
    margin-bottom:20px;
}

.accordion summary{
    list-style:none;

    background:#E4E4E4;

    padding:18px 22px;

    border-radius:10px;

    display:flex;
    justify-content:space-between;
    align-items:center;

    cursor:pointer;

    font-size:24px;
}

.accordion summary::-webkit-details-marker{
    display:none;
}

.plus{
    transition:.4s;
}

details[open] .plus{
    transform:rotate(45deg);
}

.accordion-content{
    display:grid;
    gap:0px;

    margin-top:20px;

    animation:slideDown .35s ease;
}

details a{
    margin-top: 20px;
}

@keyframes slideDown{

    from{
        opacity:0;
        transform:translateY(-15px);
    }

    to{
        opacity:1;
        transform:translateY(0);
    }
}

.project-card{
    min-height:140px;

    padding:30px;

    display:flex;
    justify-content:space-between;
    align-items:center;

    transition:.3s;
}

.project-card:hover{
    transform:translateY(-4px);
}

.project-card span{
    font-size:32px;
    max-width:450px;
}

.project-card img{
    width:260px;
    object-fit:contain;
}

.blue{
    background:#00224E;
    color:white;
    border-color: #00224E;
}

.green{
    background:#B6C2A9;
}

.beige{
    background:#F0E4C8;
}

.gray{
    background:#212529;
    color:white;

}

.gallery-img{
    width:100%;
    display:block;
}

.nested{
    margin-top:20px;
}

footer{
    margin-top:100px;

    background:#D9D9D9;

    padding:40px 8%;

    display:flex;
    justify-content:space-between;
}

.footer-right{
    text-align:right;
}

.project-more{

    width:100%;
    
    padding:16px 30px;

    margin-bottom:10px;
    margin-top: 10px;

    display:flex;
    justify-content:space-between;
    align-items:center;
    gap:10px;

    border:none;

    /* background:#e4e4e4; */

    cursor:pointer;

    font-size:24px;
    font-family:"Gilroy", sans-serif;
    transition:.3s;

}

.project-more:hover{

    transform:translateY(-4px);
}

.project-more span{

    transition:.1s;
}

.project-more.active span{

    transform:rotate(45deg);
}

.project-details{

    max-height:0;

    overflow:hidden;

    transition:max-height .45s ease;

    background:#f5f5f5;

    margin-top:-10px;
    margin-bottom:25px;
    border-width: 2px;
    border-style:dotted;

    border-radius:0 0 12px 12px;

}

.project-details.open{

    max-height:700px;
    border-style: solid;
}

.detail-block{

    padding:30px;
    border-bottom:2px solid #ddd;
    
}

/* .detail-block:last-child{

    border-bottom:none;
} */

.detail-block h4{

    margin-bottom:12px;
    font-size:22px;
}

.tags{

    display:flex;
    flex-wrap:wrap;
    gap:10px;
}

.tags span{

    padding:7px 14px;

    background:white;

    border:1px solid #cfcfcf;

    border-radius:30px;

    font-size:16px;
}

.detail-block p{

    font-size:18px;
    line-height:1.6;
}

.detail-block ul{

    margin-left:25px;
    font-size:18px;
    line-height:1.8;
}

@media (max-width:900px){

    h1{
        font-size:30px;
    }

    .hero{
        flex-direction:column-reverse;
        gap:30px;
    }

    .info-card{
        width:100%;
    }

    .avatar{
        width:220px;
    }

    .project-card{
        flex-direction:column;
        gap:20px;
        text-align:center;
    }

    .project-card span{
        font-size:24px;
    }

    .project-card img{
        width:180px;
    }

    .accordion summary{
        font-size:18px;
    }

    footer{
        flex-direction:column;
        gap:20px;
    }

    .footer-right{
        text-align:left;
    }
}

html{
    scroll-behavior:smooth;
    height: 100%;
}

.instructions-hero{
    margin:70px 0 45px;
    text-align:center;
}

.instructions-hero h2{
    font-size:48px;
    font-weight:400;
    line-height:1.3;
}

.home-button{

    padding:10px 28px;

    border-radius:0px;

    transition:.25s;
}

.home-button:hover{

    background:#2F2F2F;

    color:white;

}

.platform-tabs{

    display:flex;

    margin-bottom:45px;

    overflow:hidden;

    border-radius:12px;

    border:2px solid #2F2F2F;

}

.tab{

    flex:1;

    padding:20px;

    border:none;

    background:#E4E4E4;

    font-size:22px;

    cursor:pointer;

    transition:.25s;

    font-family:"Gilroy";

}

.tab+.tab{

    border-left:2px solid #2F2F2F;

}

.tab:hover{

    background:#dadada;

}

.tab.active{

    background:#2F2F2F;

    color:white;

}

.tab-content{

    display:none;

}

.tab-content.active{

    display:block;

    animation:slideDown .3s ease;

}

.contents{

    background:#E4E4E4;

    padding:30px;

    border-radius:12px;
    border: 1px #2F2F2F solid;

    margin-bottom:40px;

}

.contents h3{

    margin-bottom:20px;

}

.contents a{

    display:block;

    margin:12px 0;

    transition:.2s;

}

.contents a:hover{

    transform:translateX(6px);

}

.instruction-block{

    margin-bottom:60px;

    /* background:#E4E4E4; */

    border-radius:12px;
    border: 1px #2F2F2F solid;

    padding:35px;

}

.instruction-block h3{

    margin-bottom:25px;

}

.instruction-block img{

    width:50%;

    border-radius:10px;
    margin-top: 15px;
    margin-bottom:15px;

}
.instruction-block img.compImg{
    width:100%;
}

.instruction-block p{

    line-height:1.7;

    font-size:20px;

}

@media(max-width:900px){

    .home-button{

        font-size:16px;

        padding:10px 16px;

    }

    .socials{
        font-size: 16px;
    }

    h1{
        font-size:20px;
    }

    .instructions-hero h2{

        font-size:34px;

    }

    .platform-tabs{

        flex-direction:column;

    }

    .tab+.tab{

        border-left:none;

        border-top:2px solid #2F2F2F;

    }

    .instruction-block{

        padding:20px;

    }

    .contents{

        padding:20px;

    }

}

.redd{
    color: rgb(184, 31, 0);
}